Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GenCompartmentImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl
                      org.eclipse.gmf.codegen.gmfgen.impl.GenChildContainerImpl
                          org.eclipse.gmf.codegen.gmfgen.impl.GenCompartmentImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, GenChildContainer, GenCommonBase, GenCompartment, GenContainerBase

    public class GenCompartmentImpl

extends GenChildContainerImpl
implements GenCompartment

An implementation of the model object 'Gen Compartment'.

The following features are implemented:

- `Title`
- `Can Collapse`
- `Hide If Empty`
- `Needs Title`
- `Diagram`
- `Node`
- `List Layout`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static boolean` `CAN_COLLAPSE_EDEFAULT` The default value of the '`Can Collapse`' attribute
`protected boolean` `canCollapse` The cached value of the '`Can Collapse`' attribute
`protected static boolean` `HIDE_IF_EMPTY_EDEFAULT` The default value of the '`Hide If Empty`' attribute
`protected boolean` `hideIfEmpty` The cached value of the '`Hide If Empty`' attribute
`protected static boolean` `LIST_LAYOUT_EDEFAULT` The default value of the '`List Layout`' attribute
`protected boolean` `listLayout` The cached value of the '`List Layout`' attribute
`protected static boolean` `NEEDS_TITLE_EDEFAULT` The default value of the '`Needs Title`' attribute
`protected boolean` `needsTitle` The cached value of the '`Needs Title`' attribute
`protected GenNode` `node` The cached value of the '`Node`' reference
`protected java.lang.String` `title` The cached value of the '`Title`' attribute
`protected static java.lang.String` `TITLE_EDEFAULT` The default value of the '`Title`' attribute

Fields inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenChildContainerImpl
`CANONICAL_EDIT_POLICY_CLASS_NAME_EDEFAULT, canonicalEditPolicyClassName, childNodes`

Fields inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl
`behaviour, diagramRunTimeClass, EDIT_PART_CLASS_NAME_EDEFAULT, editPartClassName, elementType, ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME_EDEFAULT, itemSemanticEditPolicyClassName, NOTATION_VIEW_FACTORY_CLASS_NAME_EDEFAULT, notationViewFactoryClassName, SANS_DOMAIN_EDEFAULT, styles, viewmap, VISUAL_ID_EDEFAULT, visualID`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCompartment
`CLASS_NAME_PREFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContainerBase
`CANONICAL_EDIT_POLICY_SUFFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenCompartmentImpl()`

Method Summary
`GenNode` `basicGetNode()`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetNode(GenNode newNode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<GenNode>` `getAssistantNodes()`
`java.lang.String` `getClassNamePrefix()`
`GenDiagram` `getDiagram()`
`GenNode` `getNode()`
`java.lang.String` `getTitle()`
`boolean` `isCanCollapse()`
`boolean` `isHideIfEmpty()`
`boolean` `isListLayout()`
`boolean` `isNeedsTitle()`
`boolean` `isSansDomain()`
`void` `setCanCollapse(boolean newCanCollapse)`
`void` `setHideIfEmpty(boolean newHideIfEmpty)`
`void` `setListLayout(boolean newListLayout)`
`void` `setNeedsTitle(boolean newNeedsTitle)`
`void` `setNode(GenNode newNode)`
`void` `setTitle(java.lang.String newTitle)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenChildContainerImpl
`getCanonicalEditPolicyClassName, getCanonicalEditPolicyClassNameGen, getCanonicalEditPolicyQualifiedClassName, getChildNodes, getContainedNodes, needsCanonicalEditPolicy, setCanonicalEditPolicyClassName`

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl

`asJavaConstantName, basicGetDiagramRunTimeClass, basicSetElementType, basicSetViewmap, getBehaviour, getBehaviour, getClassNameSuffux, getDiagramRunTimeClass, getEditPartClassName, getEditPartClassNameGen, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyClassNameGen, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryClassNameGen, getNotationViewFactoryQualifiedClassName, getStyles, getUniqueIdentifier, getViewmap, getVisualID, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenChildContainer
`getChildNodes`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContainerBase
`getCanonicalEditPolicyClassName, getCanonicalEditPolicyQualifiedClassName, getContainedNodes, needsCanonicalEditPolicy, setCanonicalEditPolicyClassName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase

`getBehaviour, getBehaviour, getClassNameSuffux, getDiagramRunTimeClass, getEditPartClassName, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryQualifiedClassName, getStyles, getUniqueIdentifier, getViewmap, getVisualID, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### TITLE_EDEFAULT

    protected static final java.lang.String TITLE_EDEFAULT

  The default value of the '`Title`' attribute.

  See Also:
    `getTitle()`
  ** Generated **
  Ordered:

### title

    protected java.lang.String title

  The cached value of the '`Title`' attribute.

  See Also:
    `getTitle()`
  ** Generated **
  Ordered:

### CAN_COLLAPSE_EDEFAULT

    protected static final boolean CAN_COLLAPSE_EDEFAULT

  The default value of the '`Can Collapse`' attribute.

  See Also:
    `isCanCollapse()`, Constant Field Values
  ** Generated **
  Ordered:

### canCollapse

    protected boolean canCollapse

  The cached value of the '`Can Collapse`' attribute.

  See Also:
    `isCanCollapse()`
  ** Generated **
  Ordered:

### HIDE_IF_EMPTY_EDEFAULT

    protected static final boolean HIDE_IF_EMPTY_EDEFAULT

  The default value of the '`Hide If Empty`' attribute.

  See Also:
    `isHideIfEmpty()`, Constant Field Values
  ** Generated **
  Ordered:

### hideIfEmpty

    protected boolean hideIfEmpty

  The cached value of the '`Hide If Empty`' attribute.

  See Also:
    `isHideIfEmpty()`
  ** Generated **
  Ordered:

### NEEDS_TITLE_EDEFAULT

    protected static final boolean NEEDS_TITLE_EDEFAULT

  The default value of the '`Needs Title`' attribute.

  See Also:
    `isNeedsTitle()`, Constant Field Values
  ** Generated **
  Ordered:

### needsTitle

    protected boolean needsTitle

  The cached value of the '`Needs Title`' attribute.

  See Also:
    `isNeedsTitle()`
  ** Generated **
  Ordered:

### node

    protected GenNode node

  The cached value of the '`Node`' reference.

  See Also:
    `getNode()`
  ** Generated **
  Ordered:

### LIST_LAYOUT_EDEFAULT

    protected static final boolean LIST_LAYOUT_EDEFAULT

  The default value of the '`List Layout`' attribute.

  See Also:
    `isListLayout()`, Constant Field Values
  ** Generated **
  Ordered:

### listLayout

    protected boolean listLayout

  The cached value of the '`List Layout`' attribute.

  See Also:
    `isListLayout()`
  ** Generated **
  Ordered:

Constructor Detail

### GenCompartmentImpl

    protected GenCompartmentImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `GenChildContainerImpl`
  ** Generated **

### getTitle

    public java.lang.String getTitle()

  Specified by:
    `getTitle` in interface `GenCompartment`
  Returns:
    the value of the 'Title' attribute.
  See Also:
    `GenCompartment.setTitle(String)`, `GMFGenPackage.getGenCompartment_Title()`
  ** Generated **

### setTitle

    public void setTitle(java.lang.String newTitle)

  Specified by:
    `setTitle` in interface `GenCompartment`
  Parameters:
    `newTitle` - the new value of the 'Title' attribute.
  See Also:
    `GenCompartment.getTitle()`
  ** Generated **

### isCanCollapse

    public boolean isCanCollapse()

  Specified by:
    `isCanCollapse` in interface `GenCompartment`
  Returns:
    the value of the 'Can Collapse' attribute.
  See Also:
    `GenCompartment.setCanCollapse(boolean)`, `GMFGenPackage.getGenCompartment_CanCollapse()`
  ** Generated **

### setCanCollapse

    public void setCanCollapse(boolean newCanCollapse)

  Specified by:
    `setCanCollapse` in interface `GenCompartment`
  Parameters:
    `newCanCollapse` - the new value of the 'Can Collapse' attribute.
  See Also:
    `GenCompartment.isCanCollapse()`
  ** Generated **

### isHideIfEmpty

    public boolean isHideIfEmpty()

  Specified by:
    `isHideIfEmpty` in interface `GenCompartment`
  Returns:
    the value of the 'Hide If Empty' attribute.
  See Also:
    `GenCompartment.setHideIfEmpty(boolean)`, `GMFGenPackage.getGenCompartment_HideIfEmpty()`
  ** Generated **

### setHideIfEmpty

    public void setHideIfEmpty(boolean newHideIfEmpty)

  Specified by:
    `setHideIfEmpty` in interface `GenCompartment`
  Parameters:
    `newHideIfEmpty` - the new value of the 'Hide If Empty' attribute.
  See Also:
    `GenCompartment.isHideIfEmpty()`
  ** Generated **

### isNeedsTitle

    public boolean isNeedsTitle()

  Specified by:
    `isNeedsTitle` in interface `GenCompartment`
  Returns:
    the value of the 'Needs Title' attribute.
  See Also:
    `GenCompartment.setNeedsTitle(boolean)`, `GMFGenPackage.getGenCompartment_NeedsTitle()`
  ** Generated **

### setNeedsTitle

    public void setNeedsTitle(boolean newNeedsTitle)

  Specified by:
    `setNeedsTitle` in interface `GenCompartment`
  Parameters:
    `newNeedsTitle` - the new value of the 'Needs Title' attribute.
  See Also:
    `GenCompartment.isNeedsTitle()`
  ** Generated **

### getDiagram

    public GenDiagram getDiagram()

  Specified by:
    `getDiagram` in interface `GenCommonBase`
  Specified by:
    `getDiagram` in interface `GenCompartment`
  Specified by:
    `getDiagram` in class `GenCommonBaseImpl`
  Returns:
    the value of the 'Diagram' container reference.
  See Also:
    `GMFGenPackage.getGenCompartment_Diagram()`, `GenDiagram.getCompartments()`
  ** Generated **

### getNode

    public GenNode getNode()

  Specified by:
    `getNode` in interface `GenCompartment`
  Returns:
    the value of the 'Node' reference.
  See Also:
    `GenCompartment.setNode(GenNode)`, `GMFGenPackage.getGenCompartment_Node()`, `GenNode.getCompartments()`
  ** Generated **

### basicGetNode

    public GenNode basicGetNode()

  ** Generated **

### basicSetNode

    public org.eclipse.emf.common.notify.NotificationChain basicSetNode(GenNode newNode,
                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setNode

    public void setNode(GenNode newNode)

  Specified by:
    `setNode` in interface `GenCompartment`
  Parameters:
    `newNode` - the new value of the 'Node' reference.
  See Also:
    `GenCompartment.getNode()`
  ** Generated **

### isListLayout

    public boolean isListLayout()

  Specified by:
    `isListLayout` in interface `GenCompartment`
  Returns:
    the value of the 'List Layout' attribute.
  See Also:
    `GenCompartment.setListLayout(boolean)`, `GMFGenPackage.getGenCompartment_ListLayout()`
  ** Generated **

### setListLayout

    public void setListLayout(boolean newListLayout)

  Specified by:
    `setListLayout` in interface `GenCompartment`
  Parameters:
    `newListLayout` - the new value of the 'List Layout' attribute.
  See Also:
    `GenCompartment.isListLayout()`
  ** Generated **

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `GenChildContainerImpl`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `GenChildContainerImpl`
  ** Generated **

### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `GenChildContainerImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `GenChildContainerImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `GenChildContainerImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `GenChildContainerImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `GenChildContainerImpl`
  ** Generated **

### getAssistantNodes

    public org.eclipse.emf.common.util.EList<GenNode> getAssistantNodes()

  Description copied from class: `GenChildContainerImpl`

  Specified by:
    `getAssistantNodes` in interface `GenContainerBase`
  Overrides:
    `getAssistantNodes` in class `GenChildContainerImpl`

### getClassNamePrefix

    public java.lang.String getClassNamePrefix()

  Description copied from class: `GenCommonBaseImpl`

  Specified by:
    `getClassNamePrefix` in interface `GenCommonBase`
  Specified by:
    `getClassNamePrefix` in class `GenCommonBaseImpl`

### isSansDomain

    public boolean isSansDomain()

  Description copied from class: `GenCommonBaseImpl`

  Specified by:
    `isSansDomain` in interface `GenCommonBase`
  Specified by:
    `isSansDomain` in class `GenCommonBaseImpl`
  Returns:
    the value of the 'Sans Domain' attribute.
  See Also:
    `GMFGenPackage.getGenCommonBase_SansDomain()`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.